0

I want to start using HTML5 markup in my next WP theme and I wondered if adding html5shiv is enough for adding compatibility for IE8+ browsers.

I'm talking about the simple stuff such as aside, article and header, not the form stuff.

1
  • Did you read its documentation? – Blazemonger Dec 29 '14 at 0:21
1

Yes. It will make those elements compatible with IE6+, Safari 4+ and Firefox 3+.

5
  • Awesome thanks! What else does it add? Is there any doc available? – ronka Dec 28 '14 at 8:57
  • You can read the repo in github here: github.com/aFarkas/html5shiv , also remember to have a look at the Wiki at the right tab. – marcovega Dec 28 '14 at 9:06
  • No. It is not enough if their browser doesn't support JavaScript or doesn't have it enabled. – jay_t55 Dec 28 '14 at 17:52
  • It's a JavaScript file, users of the script are targeting browsers with JavaScript enabled. – marcovega Dec 28 '14 at 17:55
  • You missed the point entirely. – jay_t55 Jan 1 '15 at 17:48

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.